{namespace twoh=TWOH\TwohKickstarter\ViewHelpers}

<f:layout name="Boxed" />

<f:section name="content">
    <div class="card overlay-card w-100 {f:if(condition: data.hideOnMobile, then: 'd-none d-md-block')} m{data.marginPos}{data.margin}">
        <f:link.typolink parameter="{data.url}">
            <div class="position-relative">
                <f:render section="Image" arguments="{_all}" />
                <div class="card-img-overlay d-flex flex-column position-absolute">
                    <div class="flex-grow-1"></div>
                    <div class="d-flex align-items-end w-100">
                        <div class="text-break w-80">
                            <div>
                                <f:render section="Headline" arguments="{_all}" />
                            </div>
                        </div>
                        <div class="card-arrow w-20 text-end">
                            <twoh:svg svgPath="SG_ArrowRight.svg" />
                        </div>
                    </div>
                </div>
            </div>
        </f:link.typolink>
    </div>
</f:section>

<f:section name="Headline">
    <{data.headlines} class="{data.headlines} {data.textColor} mb-0 lh-1">
        {data.header}
    </{data.headlines}>
</f:section>

<f:section name="Image">
    <f:if condition="{data.media}">
        <f:for each="{data.media}" as="image">
            <img class="{twoh:imageOrientation(imagePath: '{f:uri.image(image: image, maxWidth: settings.maxImgWidth)}')} card-img img-fluid w-100 h-auto"
                 src="{f:uri.image(image: image, maxWidth: settings.maxImgWidth, cropVariant: 'desktop')}"
                 alt="{image.alternative}" longdesc="{image.description}" title="{image.title}"
                 style="aspect-ratio: {data.aspectRatio}" />
        </f:for>
    </f:if>
</f:section>